#!/bin/bash

function getUser {
    user=
    userPath=/run/systemd/users
    userFiles=`ls $userPath`
    for userFile in $userFiles
    do  
        if [ "${userFile}" -ge "500" ];then
            userState=`awk -F= '{ if($1=="STATE") print $2}' ${userPath}/${userFile}`
            if [ ${userState} == "active" ];then
                user=`awk -F= '{ if($1=="NAME") print $2}' ${userPath}/${userFile}`
                break
            fi  
        fi  
    done

    if [ "$user" == "" ];then
        user=root
    fi  
    echo $user
}

showUser=$(getUser)

if [ ! $DISPLAY ]; then
	export DISPLAY=:0
	export LANG=zh_CN.UTF-8
    export XAUTHORITY=/home/$showUser/.Xauthority
fi
env
sudo xhost +SI:localuser:root
xhost