#!/bin/bash

# WatchData主目录ROOT
DDIR_ROOT=/opt/apps/com.wq.uosicbc
DDIR_FILES=$DDIR_ROOT/files
# 注册到firefox的P11模块名
P11_MODEL_NAME=watchdata
#echo "${DDIR_FILES}/bin/P11ModelTool -delP11 ${P11_MODEL_NAME}"
#$DDIR_FILES/bin/P11ModelTool -delP11 $P11_MODEL_NAME

who

function getUser {
    user=
    userPath=/run/systemd/users
    userFiles=`ls $userPath`
    for userFile in $userFiles
    do  
        if [ "${userFile}" -ge "500" ];then
            userState=`awk -F= '{ if($1=="STATE") print $2}' ${userPath}/${userFile}`
            if [ ${userState} == "active" ];then
                user=`awk -F= '{ if($1=="NAME") print $2}' ${userPath}/${userFile}`
                break
            fi  
        fi  
    done

    if [ "$user" == "" ];then
        user=root
    fi  
    echo $user
}

user=$(getUser)

if [ "$user" == "" ];then
    user=root
fi

if [ $user != root ];then
    home_path=/home/$user
else
    home_path=~
fi


profiledir=`cat ${home_path}/.mozilla/firefox/profiles.ini | sed -n -e 's/^.*Path=//p' | head -n 1`
if [ -f /usr/bin/modutil ]; then
   echo "modutil -dbdir ${home_path}/.mozilla/firefox/$profiledir  -delete "$P11_MODEL_NAME" -force"
   modutil -dbdir ${home_path}/.mozilla/firefox/$profiledir  -delete "$P11_MODEL_NAME" -force
   echo "modutil -dbdir sql:${home_path}/.pki/nssdb -delete "$P11_MODEL_NAME" -force"
   modutil -dbdir sql:${home_path}/.pki/nssdb -delete "$P11_MODEL_NAME" -force
   echo "modutil -dbdir sql:${home_path}/.pki/nssdb/.config/qaxbrowser -delete "$P11_MODEL_NAME" -force"
   modutil -dbdir sql:${home_path}/.pki/nssdb/.config/qaxbrowser -delete "$P11_MODEL_NAME" -force
   echo "modutil -dbdir sql:${home_path}/.config/qaxbrowser/.pki/nssdb -delete "$P11_MODEL_NAME" -force"
   modutil -dbdir sql:${home_path}/.config/qaxbrowser/.pki/nssdb -delete "$P11_MODEL_NAME" -force
else
   echo "$DDIR_FILES/bin/modutil -dbdir ${home_path}/.mozilla/firefox/$profiledir  -delete "$P11_MODEL_NAME" -force"
   $DDIR_FILES/bin/modutil -dbdir ${home_path}/.mozilla/firefox/$profiledir  -delete "$P11_MODEL_NAME" -force
   echo "$DDIR_FILES/bin/modutil -dbdir sql:${home_path}/.pki/nssdb -delete "$P11_MODEL_NAME" -force"
   $DDIR_FILES/bin/modutil -dbdir sql:${home_path}/.pki/nssdb -delete "$P11_MODEL_NAME" -force
   echo "$DDIR_FILES/bin/modutil -dbdir sql:${home_path}/.pki/nssdb/.config/qaxbrowser -delete "$P11_MODEL_NAME" -force"
   $DDIR_FILES/bin/modutil -dbdir sql:${home_path}/.pki/nssdb/.config/qaxbrowser -delete "$P11_MODEL_NAME" -force
   echo "$DDIR_FILES/bin/modutil -dbdir sql:${home_path}/.config/qaxbrowser/.pki/nssdb -delete "$P11_MODEL_NAME" -force"
   $DDIR_FILES/bin/modutil -dbdir sql:${home_path}/.config/qaxbrowser/.pki/nssdb -delete "$P11_MODEL_NAME" -force
fi
echo "sudo chown $user:$user ${home_path}/.mozilla/firefox/$profiledir/ -R"
sudo chown $user:$user ${home_path}/.mozilla/firefox/$profiledir/ -R
sudo chmod 777 ${home_path}/.mozilla/firefox/$profiledir/ -R
echo "sudo chown $user:$user $home_path/.pki/nssdb/* -R"
sudo chown $user:$user $home_path/.pki/nssdb/* -R
sudo chmod 777 $home_path/.pki/nssdb/* -R
echo "sudo chown $user:$user $home_path/.pki/nssdb/.config/qaxbrowser/* -R"
sudo chown $user:$user $home_path/.pki/nssdb/.config/qaxbrowser/* -R
sudo chmod 777 $home_path/.pki/nssdb/.config/qaxbrowser/* -R
echo "sudo chown $user:$user $home_path/.config/qaxbrowser/.pki/nssdb/* -R"
sudo chown $user:$user $home_path/.config/qaxbrowser/.pki/nssdb/* -R
sudo chmod 777 $home_path/.config/qaxbrowser/.pki/nssdb/* -R
